/*
 * UNC0xx GUI-based software. (c) Unicontrollers, Ltd., 2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file demo_dev.hpp
 * Communication with the device for GUI demo program: class header
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef DEMO_DEV_HPP_SENTRY
#define DEMO_DEV_HPP_SENTRY

class UNCDevice {
    int id;
    struct unc0xx_devhdl *dev_hdl;
public:
    UNCDevice(int a_id) : id(a_id), dev_hdl(0) {}
    ~UNCDevice();

    bool OpenDevice();
    bool Poll(int *state, char temp[32], char tabl[32]);
    void ToggleLine(int n);
    void PerformAction(int n);
};

#endif
