/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010-2011
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file misc.h
 * miscellaneous functions
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef MISC_H_SENTRY
#define MISC_H_SENTRY


/* returns the char '0'..'9', 'A'..'F' for 0..15, respectively */
char hexdigit(uint8_t n);

/* returns the numeric value of a hexadecimal digit, -1 for error */
int8_t hexdig2num(char c);

/* copies 4 bytes */
void memcpy_4b(uint8_t *dest, const uint8_t *src);

#endif
