/*
 * UNC0xx GUI-based software. (c) Unicontrollers, Ltd., 2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file uncmon.cpp
 * UNC Monitor application main file: the main() function implementation
 *
 * Written by Andrey V. Stolyarov
 *
 */

#include <stdlib.h>

#include "guiabs.hpp"
#include "glue.hpp"
#include "config.hpp"

int main(int argc, char **argv)
{
    UncDeviceCollection *device_collection;

    InitConfig(argc >= 2 ? argv[1] : 0);

    device_collection = CreateDeviceCollection();
    uncmon_gui_init(device_collection);

    uncmon_gui_run(argv[0]);
    uncmon_gui_cleanup();

    return 0;
}
